Advance Orders

Cancel OCO Order

DELETE
/api/oms/cancel-order/oco

Cancel A one-cancels-the-other order

Query Parameters

orderNo*string

Order Number is unique number which will be utilized while modifying and cancelling order

Header Parameters

Authorization*string

Access token in the following format:

Bearer <api_key>:<access_token>

Both values are required. The api_key is your app credential from the Apps Section. The access_token is obtained from the authentication endpoint and is valid for 24 hours.

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/oms/cancel-order/oco?orderNo=string" \  -H "Authorization: Bearer <api Key>:<access token>"
{
  "s": "ok",
  "d": {
    "msg": "OCO Order Cancelled Successfully",
    "orderId": "210115000000003"
  }
}
{
  "s": "error",
  "msg": "Unauthorized"
}
{
  "s": "error",
  "msg": "Too many requests"
}
{
  "s": "error",
  "msg": "Internal server error"
}